QGIS Application - Bug report #9618
Make httplib2 an external dependency
2014-02-22 01:39 PM - Matthias Kuhn

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 18192
Description

When building packages for Fedora | noticed that currently httplib2 is shipped with QGIS. The Fedora package maintainers patched QGIS|
to use the httplib2 version from their repository. To bring these packages closer to upstream (and therefore make maintenance easier) |

think it would be best to adjust this.

Therefore I'd like to ask if there is any reason for shipping httplib2 internally (and therefore Fedora should just ship with the version that
comes with QGIS) or if we can totally drop this from our sources or if it is just required for certain platforms and a new CMAKE option
could be introduced (WITH_INTERNAL_HTTPLIB2) which can then be turned on/off depending on the target system.

Victor, I'm assigning this to you for feedback as it seems to be only used in processing.

Associated revisions

Revision be8ae5fb - 2014-03-11 11:11 AM - Matthias Kuhn

Add new CMake option: WITH_INTERNAL_HTTPLIB (default True)

If set to False, you have to make sure that the httplib2 package
is available on the target platform

Fix #9618

History

#1 - 2014-02-22 01:49 PM - Etienne Tourigny

python dependencies are not always easily installed - especially in mac...
Adding this dependency would require packages for all platforms, although one exists for ubuntu.
Probably easier to add an option for internal vs. external, based on the Fedora patch.

#2 - 2014-03-26 02:32 AM - Alexander Bruy
- Affected QGIS version changed from 2.0.1 to master
- Pull Request or Patch supplied changed from No to Yes

Here is pull-request that fixes this https://github.com/qgis/QGIS/pull/1235

#3 - 2014-03-26 04:51 AM - Alexander Bruy
- Resolution set to fixed/implemented
- Status changed from Open to Closed
https://github.com/qgis/QGIS/pull/1235

Applied in commit:36bd2d000a

#4 - 2015-06-07 04:30 AM - Giovanni Manghi
- Category changed from 94 to Processing/Core
